<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Questionnaire_List.aspx.cs"
    Inherits="RM.Web.Training.QuesNaire.Questionnaire_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("QuesnaireSys_list")%></title>    
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <style type="text/css">
        .div-body img { display: none; }
        #copyContainer { font-size: 11pt; display: none; }
        #txtCopyLink { font-family: "Microsoft YaHei"; width: 300px; color: #909090; background: none repeat scroll 0 0 #FFFFFF; border: 1px solid #999999; box-shadow: 1px 1px 3px #C3C3C3 inset; height: 20px; line-height: 20px; padding: 1px 8px; font-size: 11pt; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("QuesnaireSys_list")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    <div id="copyContainer">
        <span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ques_wjdizhi")%></span>
        <input id="txtCopyLink" readonly="readonly" />
        <span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ques_qxznrCopuy")%></span>
    </div>
    </form>
</body>
<script type="text/javascript">
    function alertQnaiLink(key) {
        var url = window.location.host + "/Training/QuesNaire/Questionnaire.aspx?HashKey=" + key;
        $("#txtCopyLink").val(url);
        art.dialog({
            id: key,
            content: $(copyContainer).get(0),
            padding: 0,
            cancelVal: '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Close")%>',
            lock: true,
            opacity: 0.1,
            title: '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ques_wjwailian")%>',
            init: function () {
                $("#txtCopyLink").select();
            }
        });
    }
    $(function () {
        //把分页定位到屏幕下面
        divresize(90);
        FixedTableHeader("#table1", $(window).height() - 121);
    });
    //新增
    function add() {
        window.location = "/Training/TrainingTest/TrainingTest_AddQuestions.aspx?pageType=1";
    }
    //编辑
    function edit() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var url = "/Training/QuesNaire/Questionnaire_Form.aspx?ExamKey=" + key;
            top.openDialog(url, 'Examination_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("QuesnaireSys_list")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ques_wjxxbj")%>', 750, 200, 50, 50);
        }
    }

    //设置
    function set() {
        var url = "/RMBase/SysWindows/Base_WindowsSQLForm.aspx?key=<%=TableTitle %>";
        top.openDialog(url, 'Examination_Form_Show', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("QuesnaireSys_list")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Display settings")%>', 750, 400, 50, 50);
    }

    function lookOverQuesNaire() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            window.location = "/Training/QuesNaire/Questionnaire.aspx?key=" + key;
        }
    }
    //删除
    function Delete() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var delparm = "pV=" + key;
            delConfig('/Training/QuesNaire/DeleteQueNai.ashx', delparm, '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ques_deltishi")%>');
        }
    }
</script>
</html>
